27. Januar 2010

by

In: horde, Tech

Kommentare deaktiviert für Horde 3.3.5 to 3.3.6 migration patch broken? Alternative Patch!

If you want to patch a Horde 3.3.5 installation pulled from  the official Horde 3.3.5 tarball
using the  official Horde 3.3.6 patch you will notice a lot of patch rejects, which render the patch file essentially broken.

Reason:

The patch assumes that version identifier strings of both 3.3.5 and 3.3.6 use
the dash format for dates like 2009-01-06. The 3.3.5 files shipped with the
horde-3.3.5.tar.gz file use slash format like 2009/01/06 15:22:10.

Horde developer Michael Rubinsky stated on the developer mailing list that this happened when horde repositories moved to a new server with a different version of CVS. Future version upgrades will not be affected by this problem.

When Michael answered, I already made my own patch (click here to download) from 3.3.5 to 3.3.6 which works with the real tarballs.

Users of a 3.3.5 version CVS checkout be warned. Don’t use this patch. Use the official Horde 3.3.6 patch instead.